// RuntimeForStatic base library | C+- (SysRoutine) | Author: Sergei Y.Kitáev
#include "Precompiled.h"
#include "SharedIncludes.h"
namespace RuntimeForStatic {
//==================================================================================================

WCHAR $TraceHelpers::MessageSign($A,$TraceMessageType messageType) $not_null $static_pointer
{
   switch ( messageType )
   {
   case $TraceMessageType_None       : return L'\0';
   case $TraceMessageType_Neutral    : return L'\x2014';
   case $TraceMessageType_Information: return L'I';
   case $TraceMessageType_Warning    : return L'W';
   case $TraceMessageType_Error      : return L'E';
   default:
      $INCORRECT_ARGUMENT( messageType );
      return NULL;
   }
}

//--------------------------------------------------------------------------------------------------
//==================================================================================================
} // RuntimeForStatic
